EasyRouterEasyRouter
User GuideAPI DocsConnect Agent Tools
Management APIReal-Person Verification & Asset Management

Upload Portrait Asset

POST
/api/resource-channel/byteplus/visual-validate/assets

Authorization

BearerAuth

AuthorizationBearer <token>

API Key (sk-xxxxxx)

In: header

Request Body

application/json

group_id*string

The portrait group ID (Group ID) to associate with. Obtainable from the group_id field returned by the Get Liveness Result and Query GroupId API.

⚠️ Important Note group_id Source The group_id is returned by the 'Get Liveness Result and Query GroupId' API and is automatically generated after real-person authentication is complete. Please be sure to obtain it through this API and do not construct it yourself or use values from other sources.

url*string

The publicly accessible URL of the asset, e.g., https://upload.wikimedia.org/wikipedia/commons/8/83/Tupi_languages.png

name?string

Asset name, supports fuzzy search

asset_type*string

Asset type, supports Image / Video / Audio

Response Body

application/json

curl -X POST "https://easyrouter.io/api/resource-channel/byteplus/visual-validate/assets" \  -H "Content-Type: application/json" \  -d '{    "group_id": "string",    "url": "string",    "asset_type": "string"  }'
{
  "success": true,
  "message": "",
  "data": {
    "id": "asset-20260521164235-zggcb",
    "group_id": "group-20260521163909-kbdhw",
    "name": "test123",
    "url": "https://upload.wikimedia.org/wikipedia/commons/8/83/Tupi_languages.png",
    "asset_type": "Image",
    "status": "Processing",
    "create_time": "2026-05-21T08:42:35.454099721Z"
  },
  "warning": "CreateAsset is an asynchronous interface. A successful upload does not mean the resource is ready for inference. Please continue to query the details interface until status=Active."
}